\section{Conclusions}

The controller for a system endowed with visual perception and a manipulator
with a gripper as actuators has been designed. It's Finite State Machine has
been declared including the different states initial and terminal conditions as
well as its behaviours transition functions. Which have been defined in
mathematical terms.

Several improvements for the system and possible extensions have been spotted
during the design. Mainly concerned to offer flexibility on the performed task
at a cost of receiving more information from external agents.

I can conclude that the development of this project has been satisfactory and I
have learned about software abstraction and basic system architecture, which I
find to be essential in today's cloud driven world.